### Signal

# Gtk CellRendererAccel::accel-edited

#### Declaration

    void
    accel_edited (
      GtkCellRendererAccel self,
      gchar* path_string,
      guint accel_key,
      GdkModifierType accel_mods,
      guint hardware_keycode,
      gpointer user_data
    )

#### Description [src]

Gets emitted when the user has selected a new accelerator.

Default handler: | The default handler is called after the handlers added via `g_signal_connect()`.

#### Parameters

`path_string` | `gchar*`
| The path identifying the row of the edited cell.
| The data is owned by the caller of the function.
| The string is a NUL terminated UTF-8 string.
`accel_key` | `guint`
| The new accelerator keyval.
`accel_mods` | `GdkModifierType`
| The new acclerator modifier mask.
`hardware_keycode` | `guint`
| The keycode of the new accelerator.